import pandas as pd    
import datetime as dt  
from binance.client import Client

def binance_price(api_key, api_secret, symbol, interval, startdate, enddate):

	api_key = api_key
	api_secret = api_secret
	client = Client(api_key, api_secret)
	data = client.get_historical_klines(symbol, interval, startdate, enddate)


	df = pd.DataFrame(data)
	df.columns = ['Open time', 'Open', 'High', 'Low', 'Close', 'Volume',
				 'Close time', 'Qutoe asset volume', 'Number of trades', 
				 'Taker buy base asset volume', 'Taker buy quote asset volume', 'Ignore']
	df.index = [dt.datetime.fromtimestamp(x/1000.0) for x in df['Open time']]
	df = df[['Close']]
	df['Close'] = df['Close'].astype(float)
	return df

